openSUSE Security Update : libarchive (openSUSE-2016-762)

Medium Nessus Plugin ID 91795

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libarchive fixes the following issue :

- Fix a heap-based buffer overflow (CVE-2016-1541, bsc#979005)

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected libarchive packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=979005

Plugin Details

Severity: Medium

ID: 91795

File Name: openSUSE-2016-762.nasl

Version: Revision: 2.2

Type: local

Agent: unix

Published: 2016/06/24

Updated: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:bsdtar, p-cpe:/a:novell:opensuse:bsdtar-debuginfo, p-cpe:/a:novell:opensuse:libarchive-debugsource, p-cpe:/a:novell:opensuse:libarchive-devel, p-cpe:/a:novell:opensuse:libarchive13, p-cpe:/a:novell:opensuse:libarchive13-32bit, p-cpe:/a:novell:opensuse:libarchive13-debuginfo, p-cpe:/a:novell:opensuse:libarchive13-debuginfo-32bit, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/06/23

Reference Information

CVE: CVE-2016-1541